Bug 1339578 (CVE-2016-5106) - CVE-2016-5106 Qemu: scsi: megasas: out-of-bounds write while setting controller properties
Summary: CVE-2016-5106 Qemu: scsi: megasas: out-of-bounds write while setting controll...
Status: CLOSED NOTABUG
Alias: CVE-2016-5106
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160525,repor...
Keywords: Security
Depends On: 1339581
Blocks: 1337885
TreeView+ depends on / blocked
 
Reported: 2016-05-25 11:29 UTC by Prasad J Pandit
Modified: 2019-06-08 21:13 UTC (History)
34 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-08 02:52:42 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2016-05-25 11:29:01 UTC
Quick Emulator(Qemu) built with the MegaRAID SAS 8708EM2 Host Bus Adapter
emulation support is vulnerable to an out-of-bounds write access issue. It
could occur while processing MegaRAID Firmware Interface(MFI) command to set
controller properties in 'megasas_dcmd_set_properties'.

A privileged user inside guest could use this flaw to  crash the Qemu process
on the host resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-05/msg04340.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/05/25/6

Comment 1 Prasad J Pandit 2016-05-25 11:29:32 UTC
Acknowledgments:

Name: Li Qiang (Qihoo 360 Inc.)

Comment 2 Prasad J Pandit 2016-05-25 11:30:33 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1339581]

Comment 3 Fedora Update System 2016-05-30 21:19:27 UTC
xen-4.6.1-10.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-06-05 02:56:08 UTC
xen-4.5.3-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-06-12 22:51:29 UTC
xen-4.5.3-6.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-06-25 19:24:29 UTC
qemu-2.6.0-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-07-02 19:24:00 UTC
qemu-2.3.1-16.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-07-02 19:29:17 UTC
qemu-2.4.1-11.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.